
@media (max-width: 480px) {
    .scroll_btn {
        display: none;
    }
  .brand_wrapper:hover .scroll_btn {
    display: none !important;
}


.product_scroll .scroll_btns{
    display: none;
}


}

@media screen and (min-width: 900px){
    .budget_section img{
        width: 170px !important;
    height: 240px !important;
    }
    
    .brand_section {
    scroll-snap-type: x mandatory;
}

.brand_box {
    scroll-snap-align: center;
}

.brand_section {
    display: flex;
    overflow-x: auto;
    scroll-behavior: smooth;
    gap: 15px;
}

.brand_box {
 
    flex: 0 0 auto;
}
    
    .brand_box img {
    width: 180px !important;
    height: 240px !important;
    border-radius: 8px;
    object-fit: fill;
    object-position: top;
}

.shopby_trend img {
    height: 320px !important;
    width: 250px !important;
}

.Category-box .images .p_img {
    height: 300px !important;
    object-fit: cover;
    width: 200px !important;
    object-position: top;
}

#lower_banner_carousel .item{
    width: 100%;
}
#lower_banner_carousel .item .card{
    width: 100%;
}
/*#lower_banner_carousel .owl-item{*/
/*    width: 83% !important;*/
/*}*/


.product_scroll{
        display: flex;
    align-items: center;
}

/* arrows same reuse */
.scroll_btns {
    position: absolute;
    /*top: 50%;*/
    display: none;
    transform: translateY(-50%);
    background: rgba(0,0,0,0.7);
    color: #fff;
    border: none;
    padding: 10px 15px;
    cursor: pointer;
    display: block !important;
    border-radius: 50%;
    z-index: 10;
    opacity: 0;
    transition: 0.3s;
}

.product_wrapper:hover .scroll_btns {
    opacity: 0;
}

.scroll_btns.left { left: 5px; }
.scroll_btns.right { right: 5px; }


/* 





.brand_wrapper {
    position: relative;
    display: flex;
    align-items: center;
}

.brand_section {
    display: flex;
    overflow-x: auto;
    scroll-behavior: smooth;
    gap: 15px;
    padding: 10px 40px; /* arrows ke liye space */
}

.brand_section::-webkit-scrollbar {
    display: none;
}


.brand_wrapper {
    position: relative;
    display: flex;
    align-items: center;
}

.brand_box {
/*min-width: 250px; */
    flex: 0 0 auto;
    cursor: pointer;
    position: relative;
}

/* arrows */
.scroll_btn {
    position: absolute;
    /*top: 50%;*/
    transform: translateY(-50%);
    background: rgba(0,0,0,0.7);
    color: #fff;
    border: none;
    padding: 10px 15px;
    cursor: pointer;
    z-index: 10;
    border-radius: 50%;
    display: none;
}

.brand_wrapper:hover .scroll_btn {
    display: block;
}
.scroll_btn:hover{
    background: black;
}





.scroll_btn.left {
    left: 5px;
}

.scroll_btn.right {
    right: 5px;
}
@media screen {
  

    .image_overlay{
            padding: 43px;
        position: absolute;
        bottom: 0%;
        width: 100%;
        border-bottom-right-radius: 8px;
        border-bottom-left-radius: 8px;
        /* border-radius: 10px; */
        background: linear-gradient(179.88deg, rgba(0, 0, 0, 0) 57.42%, #000000 99.9%);
}

    .trend_box h5 {
        font-size: 24px;
        font-weight: 500;
        line-height: 30px;
        color: #202020;
        letter-spacing: -0.21px;
    }

    .trend_box p {
        font-size: 25px;
        display: flex;
        margin-top: -1px;
        font-weight: 700;
    }


    .trend_box>span {
        line-height: 41px;
        line-height: 41px;
        font-size: 30px;
        font-weight: 700;
        font-family: var(--font-fm2);
        vertical-align: middle;
        display: flex;
        text-emphasis: "";
        align-self: anchor-center;
    }



    /* mid_banner */

    .mid-banner {
        margin-top: 8px;
            width: 100%;
    padding: 0px 2%;;
    margin-inline: auto;
    }


    .mid-banner img {
        width: 100%;
        object-fit: cover;
        object-position: top;
    }

#homepage-products{
  width: 100%;
    /*padding: 0px 2%;;*/
    margin-inline: auto;
}
   

    /* banner mid02 */
    .banner_mid02 {
        background: url('../images/blue bg.png');
        padding: 1%;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: right;
        margin-top: 20px;
        position: relative;
            width: 100%;
    padding: 2% 2%;
    margin-inline: auto;
    }

    .banner_mid03 {
        background: url('/assets/images/banner\ mid2\ bg.png');
        padding: 5%;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: right;
        margin-top: 20px;
        position: relative;
    }

    .banner_mid02 .imags,
    .banner_mid03 .imags {
        aspect-ratio: 350 / 350;
        object-fit: cover;
        border-radius: 12px;
        width: 100%;
    }
.banner_mid02 .shape_label img{
        width: 196px !important;
        height: 25px !important;
        /* top: 2889px; */
        border-radius: 0px !important;
}

.banner_mid02 .shape_label2 img{
      width: 177px !important;
        height: 41px !important;

        /* top: 2889px; */
        border-radius: 0px !important;
}

#lower_banner_carousel .item .card img{
     height: 100%;
    width: 100%;
    max-height: 22vw;
    max-width: 390px;
    object-fit: cover;
    object-position: top center;
    border-radius: 12px;
        aspect-ratio: 1 / 3;
}

#upper_banner_carousel .item .card img{
height: 100%;
        width: 100%;
        max-height: 521px;
        /* max-width: 394px; */
        object-fit: cover;
        object-position: center top;
        padding-block: 3%;
}

.shape_label{
  width: 100%;
        border-width: 1px;
        transform: rotate(0deg);
        opacity: 1;
        position: absolute;
        z-index: 70;
        bottom: 12%;
        display: flex;
        align-items: center;
        justify-content: center;
}

.shape_label2{
            width: 100%;
        border-width: 1px;
        transform: rotate(0deg) translateX(-13px);
        opacity: 1;
        position: absolute;
        z-index: 70;
        bottom: 1%;
        display: flex;
        align-items: center;
        justify-content: center;
}



.shape_label2 h4{
  position: absolute;
  font-size: 18px;
  font-weight: 700;
  line-height: 30px;
  color: white;
  transform: rotate(-5deg);
}
.shape_label h4{
  position: absolute;
  font-size: 16px;
  font-weight: 700;
  line-height: 30px;
  color: rgba(32, 32, 32, 1);
}

    .shopby_trend {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        scrollbar-width: none;
        gap: 12px;
        overflow: scroll;
        /* padding: 0px 0% 0px 3%; */
            width: 100%;
    padding: 0px 2%;;
    margin-inline: auto;
    }

    .shopby_trend img {
        height: 243px;
        width: 192px;
    }

    .shopby_trend img:hover {
        cursor: pointer;
    } 


    .shopby_trend_title h4 {
               text-align: start;
        font-size: var(--txt-font-mobile);
        font-family: 'Poppins';
        font-weight: 600;
        
        /* padding-left: 3%; */
            width: 100%;
    padding: 10px 2%;;
    margin-inline: auto;
    }



    .trending_title h2 {
           text-align: start;
    font-size: var(--txt-font-mobile);
    font-family: 'Poppins';
    font-weight: 600;
    /* padding-inline: 3%; */
    margin-top: 20px;
    padding-block: 8px;
    }

    .brand_box img {
        width: 134px;
        height: 159px;
        border-radius: 8px;
        object-fit: fill;
        object-position: top;
    }

    .brand_box {
        position: relative;
        margin-right: 4px;
    }

    .brand_box:hover {
        cursor: pointer;
    }

    .brand_section {
        /* padding-left: 3%; */
        display: flex;
        gap: 10px;
        overflow: scroll;
        scrollbar-width: none;
        padding-block: 2%;
            width: 100%;
    padding: 0px 2%;;
    margin-inline: auto;
    }

    .brand_box p {
        position: absolute;
        bottom: 6%;
        font-size: 14px;
        font-weight: 600;
        margin-left: 8px;
        color: white;
    }

  

.container {
    margin-bottom: 40px;
    display: none;
  }

.cate_name {

                  position: absolute;
        bottom: 1%;
        text-transform: capitalize;
        padding-block: 5%;
        width: 100%;
        font-weight: 500;
        font-family: var(--font-fm2);
       
        left: 2%;
        font-size: 12px;
        color: white;
        text-align: center;
        border-radius: 9px;
           display: -webkit-box;
    overflow: hidden;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    height: 23px;
        

}


  
 



    .Category-box{
    display: flex;
    align-items: baseline;
    margin-top: 12px;
    justify-content: flex-start;
    gap: 0px;
    height: 100%;
    position: relative;
}


.Category-box .images{
  position: relative;


}


.tabs-container {
/* padding-inline: 3%; */
    flex-direction: column;
    margin-top: 20px;
    margin-bottom: 30px;
    display: flex
;
    justify-content: flex-start;
    align-items: flex-start;
    /* border-bottom: 1px solid #eee; */
    flex-wrap: wrap;
    row-gap: 15px;
    width: 100%;
}

.tabs-container h2 {
  margin-right: auto;
  font-size: 30px;
  font-weight: 400;
          font-family: var(--font-fm2);
}

 .label-img2{
         position: absolute;
        left: 11%;
        top: 0%;
        height: 58px;
        align-items: end;

      }
 .Category-box .images .p_img{


      height: 139px;
        width: 97px;
        border-radius: 9px;
        object-fit: cover;
        object-position: top;
        border: 1px solid gray;
      }

      .Category-box a{
       height: 100%;
        width: 100%;
        /* margin-right: 50px; */
        position: relative;
        display: flex;
        flex-direction: row;

        align-items: baseline;
        gap: 0px;
      }

.Category-box a{
   display: flex;
    flex-direction: column;
    align-items: center;
    width: 200px;
    height: 316px;
    position: relative;
}

.Category-box h1{
  font-size: 60px;
  font-weight: 900;
  font-family: var(--font-fm2);

  /* gradient fill inside */
  background: linear-gradient(180deg, rgba(255,255,255,0.69) 0%, rgba(153,153,153,0.69) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;

  /* white border / outline */
  -webkit-text-stroke: 1px white;

  /* soft shadow */
  filter: drop-shadow(0px 4px 2px rgba(0,0,0,0.25))
          drop-shadow(0px 0px 0px rgba(0,0,0,0.15));
}


 .Category-box .images .p_img{
              height: 200px;
    object-fit: cover;
    width: 150px;
    object-position: top;
  }


.subcate_container{
  width: 100% !important;
    height: 100%;
    display: flex;
    gap: 10px;
    overflow-y: hidden;
    overflow-x: scroll;
    justify-content: start !important;
    align-items: center;
    /* padding: 0px 2%;; !important; */

}

/*  */

#slider-img {
  width: 100%;
    padding: 0px 2%;
  /* background: #f8f8f8; */
  position: relative;
      margin-top: unset;
}

.subcat_box img{
      height: 100%;
    width: 100%;
    aspect-ratio: 8 / 8;
    object-fit: cover;
    max-width: 55px;
    border-radius: 50%;
}

.subcat_box{
  display: flex;
  align-items: center;
  flex-direction: column;
}



  .tabs-container h2 {

        font-size: var(--txt-font-mobile);
        font-family: 'Poppins';
        font-weight: 600;
        /* padding-block: 3%; */

  font-size: var(--txt-font-mobile);
  font-weight: var(--txt-weight-mobile);
    text-align: center;
    margin-top: 20px;
            font-family: var(--font-fm2);

  }

  .tabs-container{
      /* padding: unset; */
    margin: unset;
    width: 100%;
    padding: 0px 2%;;
    margin-inline: auto;
  }

  .tabs {
    display: none;
    overflow-x: scroll;
    justify-content: flex-start;
    gap: 10px;
         /* margin-top: calc(-34px - 8vh); */
    font-size: 14px;
    transform: translateX(-12px);
    scrollbar-width: thin;
  }


  /* budget section */

.offer_label_text{
         position: absolute;
        font-size: 9px;
        text-wrap: wrap;
        color: white;
        width: 9px;
        left: 12%;
        font-weight: 700;
        line-height: 14px;
        top: 0;
    
}

.budget_section{
  display: flex;
    gap: 10px;
    justify-content: flex-start;
    /* padding-left: 2%; */
    overflow: scroll;
            margin-bottom: 2%;
                width: 100%;
    padding: 0px 2%;
    position: relative;
    margin-inline: auto;
}
.budget_box img{
      width: 123px;
    height: 169px;
    object-fit: cover;
    object-position: top;
    border-radius: 9.76px;
}

.Category-box .images .p_img:hover{
  cursor: pointer;
}

.budget_box:hover {
  cursor: pointer;
}

.budget_box p{
    position: absolute;
        bottom: 3%;
        color: white;
        width: 100px;
        line-height: 13px;
        text-align: center;
        left: 7%;
        font-size: 12px;
        font-weight: 700;
}

.budget_box #sp{
  font-size: 10px;
  font-weight: 500;
}

.budget_box{
      position: relative;
    width: max-content;
}



.trending_title{
           width: 100%;
        padding: 0px 2%;;
        margin-inline: auto;
}


.Subcategory-list{
        justify-content: flex-start !important;
      }

/* Navigation buttons inside image area */
.owl-theme .owl-nav.disabled+.owl-dots {
  width: fit-content;
  margin: 10px auto;
  background: #fff;
  height: 16px;
  padding: 0px 10px;
  border-radius: 0px !important;
  box-shadow: 0px 0px 10px 0px #fbad462f;
}

.owl-theme .owl-dots .owl-dot span {
     border-radius: 50%;
    width: 5px;
    height: 5px;
    margin: 5px 2px;
    background: #D9D9D9;
}

.owl-theme .owl-dots .owl-dot.active span,
.owl-theme .owl-dots .owl-dot:hover span {
  background: #828282;
  width: 11px;
  height: 5px;
  border-radius: 50px !important;
  transition: .5s;
}

.owl-theme .owl-dots .owl-dot.active span {
  position: relative;
}

.owl-theme .owl-dots .owl-dot.active span::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  width: 0%;
  height: 100%;
  background: #00000049;
  border-radius: inherit;
  animation: activedots 4.7s linear;
}

.owl-prev {
        display: none !important;
    }

    .owl-next {
        display: none !important;
    }




}


@media screen and (max-width : 600px) {
  #lower_banner_carousel .item .card img {
        height: 100%;
        width: 100%;
        max-height: 89vw;
        max-width: 390px;
        object-fit: cover;
        object-position: center;
        border-radius: 12px;
    }
    .shopby_trend_title h4 {
        text-align: start;
        font-size: var(--txt-font-mobile);
        font-family: 'Poppins';
        font-weight: 600;
        padding-block: 3%;
        padding-left: 3%;
    }
    .trending_title h2 {
        text-align: start;
        font-size: var(--txt-font-mobile);
        font-family: 'Poppins';
        font-weight: 600;
        padding-inline: 3%;
        margin-top: 20px;
    }

        .tabs-container h2 {
        font-size: var(--txt-font-mobile);
        font-family: 'Poppins';
        font-weight: 600;
        /* padding-block: 3%; */
        font-size: var(--txt-font-mobile);
        font-weight: var(--txt-weight-mobile);
        text-align: center;
        margin-top: 20px;
        font-family: var(--font-fm2);
    }

        .tabs-container {
        padding-inline: 3%;
        flex-direction: column;
        /* margin-top: 20px;
        margin-bottom: 30px; */
        display: flex;
        justify-content: flex-start;
        align-items: flex-start;
        /* border-bottom: 1px solid #eee; */
        flex-wrap: wrap;
        row-gap: 15px;
        width: 100%;
    }

        .brand_section {
        padding-left: 3%;
        display: flex;
        gap: 10px;
        overflow: scroll;
        scrollbar-width: none;
        padding-block: 2%;
        position: relative;
    }

        .banner_mid02 {
        background: url('../images/blue bg.png');
        padding: 5%;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: right;
        margin-top: 20px;
        position: relative;
    }

        .budget_section {
        display: flex;
        gap: 10px;
        justify-content: flex-start;
        padding-left: 2%;
        overflow: scroll;
        margin-bottom: 2%;
    }
}